## org.apache.mahout.ep
Class ThreadedEvolutionaryProcess.EvalTask

    java.lang.Object
      org.apache.mahout.ep.ThreadedEvolutionaryProcess.EvalTask

All Implemented Interfaces:
  java.util.concurrent.Callable<State<?>>

Enclosing class:
  ThreadedEvolutionaryProcess

    public class ThreadedEvolutionaryProcess.EvalTask

extends java.lang.Object
implements java.util.concurrent.Callable<State<?>>

Constructor Summary
`ThreadedEvolutionaryProcess.EvalTask(ThreadedEvolutionaryProcess.Function f, State<?> what)`

Method Summary
`State<?>` `call()` Computes a result, or throws an exception if unable to do so.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedEvolutionaryProcess.EvalTask

    public ThreadedEvolutionaryProcess.EvalTask(ThreadedEvolutionaryProcess.Function f,
                                                State<?> what)

Method Detail

### call

    public State<?> call()

  Computes a result, or throws an exception if unable to do so.

  Specified by:
    `call` in interface `java.util.concurrent.Callable<State<?>>`
  Returns:
    computed result

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.